
 if (Drupal.settings.commerce_card.same_page){
  var name = Drupal.settings.commerce_card.name_placeholder;    
 }else{
  var name = jQuery('.field-name-commerce-customer-address .name-block').first().text(); 
 }       
 
 if (Drupal.settings.commerce_card.same_page){
   
   var card = new Card({
      form: 'form#commerce-checkout-form-review',     
      container: '.commerce_payment', 
      formSelectors: {
          numberInput:  'input#edit-commerce-payment-payment-details-credit-card-number',         
          expiryInput:  'input#edit-commerce-payment-payment-details-credit-card-expiry',
          cvcInput:     'input#edit-commerce-payment-payment-details-credit-card-code', 
          nameInput:    'input.name-block ',
      },
      width: Drupal.settings.commerce_card.width,
      formatting: true,    
      messages: {
          validDate: 'valid\ndate', // optional - default 'valid\thru'
          monthYear: 'mm/yy', // optional - default 'month/year'
      },
          placeholders: {
          number: '•••• •••• •••• ••••',
          name: name,
          expiry: '••/••',
          cvc: '•••'
      },
  
      // if true, will log helpful messages for setting up Card
      debug: false,
  });
   
 }else{
   
   var card = new Card({
      form: 'form#commerce-checkout-form-review .commerce_payment',     
      container: '.commerce_payment', 
      formSelectors: {
          numberInput: 'input#edit-commerce-payment-payment-details-credit-card-number',         
          expiryInput: 'input#edit-commerce-payment-payment-details-credit-card-expiry',
          cvcInput: 'input#edit-commerce-payment-payment-details-credit-card-code', 
          //nameInput: 'input#name' // optional - defaults input[name="name"]
      },
      width: Drupal.settings.commerce_card.width,
      formatting: true,    
      messages: {
          validDate: 'valid\ndate', // optional - default 'valid\thru'
          monthYear: 'mm/yy', // optional - default 'month/year'
      },
          placeholders: {
          number: '•••• •••• •••• ••••',
          name: name,
          expiry: '••/••',
          cvc: '•••'
      },
  
      // if true, will log helpful messages for setting up Card
      debug: false,
  });
  
 }
 
